Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.pagination
Class PageNumberGenerator

    java.lang.Object
      org.apache.fop.fo.pagination.PageNumberGenerator

public class PageNumberGenerator
extends java.lang.Object

This class uses the 'format', 'groupingSeparator', 'groupingSize', and 'letterValue' properties on fo:page-sequence to return a String corresponding to the supplied integer page number.

Constructor Summary
`PageNumberGenerator(java.lang.String format, char groupingSeparator, int groupingSize, int letterValue)` Main constructor.

Method Summary
`java.lang.String` | `makeFormattedPageNumber(int number)` Formats a page number.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageNumberGenerator

    public PageNumberGenerator(java.lang.String format,
                               char groupingSeparator,
                               int groupingSize,
                               int letterValue)

  Main constructor. For further information on the parameters see the XSLT specs (Number to String Conversion Attributes).

Parameters:
  `format` - format for the page number
  `groupingSeparator` - grouping separator
  `groupingSize` - grouping size
  `letterValue` - letter value

Method Detail

### makeFormattedPageNumber

    public java.lang.String makeFormattedPageNumber(int number)

  Formats a page number.

  Parameters:
    `number` - page number to format
  Returns:
    the formatted page number as a String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.